Movable Typeバージョンアップ(3)

| コメント(0) | トラックバック(0)

いよいよMovable Type5へのバージョンアップです。

MTのサポートにある

http://www.movabletype.jp/documentation/mt5/upgrade/

これを見てもよくわからないので

小粋空間さんの以下のページを参考に行いました。
http://www.koikikukan.com/archives/2009/09/05-000300.php

基本的には、5をUPして4.22のmt-config.cgiをコピー移動して、4.22を「mt」から[mt-4.22」にフォルダー名にかえ、5を「mt」にしました。

ただ、「DefaultLanguage ja」のくだりがよくわからなかったのですが、サポートの方に聞いたところ

「DefaultLanguage ja」は必ず設定する必要があり、アップグレード前に、「mt-config.cgi」ファイル内の末尾などに、以下の一行を追記する。

DefaultLanguage ja

と言われたので、使いしました。

■ Movable Type 5 ドキュメント: アップグレードの注意点
http://www.movabletype.jp/documentation/mt5/release/50.html#upgrade

 

次に問題となったのが、「MySQL」です。

 さくらインターネットでは、「MySQL4」と「MySQL5」の両方が使えますが、「MySQL4」でMT5にしてから「MySQL5」にしようと思っていいたところMT5は「MySQL5」にしか対応していないとのこと。

 「MySQL4」でバージョンアップに成功したと喜んでいたので、糠よろこびに。

 ゴールが見えてきたのですが、ここでまた壁にぶち当たりました。

 続きは(4)へ

トラックバック(0)

トラックバックURL: http://movable.ipo-navi.jp/mt/mt-tb.cgi/930

コメントする